/*
@version $Id: app.js 1421 2012-02-14 06:26:28Z roosit $
@copyright Copyright (C) 2008 Abricos All rights reserved.
@license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

var Component = new Brick.Component();
Component.requires = { 
	mod:[
	     {name: 'webos', files: ['os.js']},
	     {name: 'company', files: ['roles.js']}
	    ]
};
Component.entryPoint = function(){
	
	var NS = this.namespace,
		R = NS.roles,
		os = Brick.mod.webos,
		moduleName = this.moduleName;
	
	R.load(function(){
		if (R['isView']){
			var app = new os.Application(moduleName);
			app.icon = '/modules/company/images/app_icon.gif';
			app.entryComponent = 'employee';
			app.entryPoint = 'Brick.mod.company.API.showEmployeeListPanel';
			os.ApplicationManager.register(app);
		}
		if (R['isWrite']){
			os.ApplicationManager.startupRegister(function(){
				NS.API.fn('employee', function(){
					new NS.EmployeeInfoPanel(Brick.env.user.id);
				});
			});
		}
	});
};
